Browse Available Appointment Staff
curl --request POST \
--url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/available-staff \
--header 'Content-Type: application/json' \
--data '
{
"location_id": 123,
"date": "2023-12-25",
"available_only": true
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/available-staff"
payload = {
"location_id": 123,
"date": "2023-12-25",
"available_only": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({location_id: 123, date: '2023-12-25', available_only: true})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/available-staff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"has_available_slots": "<string>",
"is_default_location": "<string>",
"appointment_definition_staff_sort_order": "<string>",
"location_profile_sort_order": "<string>"
}
],
"meta": {
"appointment_definition_id": 123,
"location_id": "<string>",
"date": "<string>",
"requires_staff": true,
"customer_must_select_staff": true,
"selection_required_by_customer": true,
"assigned_staff_required": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Appointment Availability
Browse Available Appointment Staff
A POST to the /appointment-definitions/{appointmentDefinitionId}/available-staff endpoint allows your application to retrieve available staff for an appointment definition.
POST
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
available-staff
Browse Available Appointment Staff
Path Parameters
The appointment definition ID
⌘I